/* Catalytic Strategy Website Designed By Explosive Artworks & Designs © 2025 */
/* Import Candide Font */
@font-face {
  font-family: "Candide";
  src: url("../fonts/Candide\ Regular.otf") format("opentype");
  font-weight: normal;
}
@font-face {
  font-family: "Candide-Bold";
  src: url("../fonts/Candide\ Bold.otf") format("opentype");
  font-weight: bold;
}

/* Basic Styling */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
:root {
  --primary-color: #931272;
  --secondary-color: #ea7e1e;
  --secondary-hover: #ce6911;
  --background-color: #ffffff;
  --text-color: #292929;
  --alert-color: green;
  --shadow: 0px 0px 25px rgba(0, 0, 0, 0.1);
  --shadow-y: 0px 4px 8px rgba(0, 0, 0, 0.1);

  --h1: 3rem;
  --h2: 2rem;
  --h3: 1.5rem;
  --h4: 1.3rem;
  --p: 1rem;
  --small: 0.875rem;

  --radius: 25px;
}
body {
  font-family: "Candide", sans-serif;
  font-size: var(--small);
  font-weight: normal;
  color: var(--text-color);
  background-color: var(--background-color);
  line-height: 1.6;
  max-width: 100vw;
  overflow-x: hidden;
}
section {
  margin-bottom: 3rem;
  width: 100%;
  position: relative;
}
a {
  text-decoration: none;
  color: inherit;
  transition: color 0.3s ease;
}
ul {
  list-style: none;
}
button {
  cursor: pointer;
  border: none;
  outline: none;
  font-family: "Candide", sans-serif;
}
h1,
h2,
h3,
h4 {
  font-family: "Candide-Bold";
  line-height: 1.2;
  margin-bottom: 1rem;
}
/* h1 {
  font-size: var(--h1);
}
h2 {
  font-size: var(--h2);
}
h3 {
  font-size: var(--h3);
}
h4 {
  font-size: var(--h4);
} */

h1 {
  font-size: clamp(1.8rem, 4vw, 3rem);
}
h2 {
  font-size: clamp(1.5rem, 3.5vw, 2.25rem);
}
h3 {
  font-size: clamp(1.25rem, 3vw, 1.75rem);
}
h4 {
  font-size: clamp(1.1rem, 2.5vw, 1.5rem);
}
h5 {
  font-size: clamp(1rem, 2vw, 1.25rem);
}
h6 {
  font-size: clamp(0.9rem, 1.5vw, 1rem);
}

.small-text {
  font-size: var(--small);
}

/* Custom Styles */
.image-container {
  width: 30%;
  position: relative;
  overflow: hidden;
}
.image-container img {
  display: block;
  width: 100%;
  height: auto;
  object-fit: cover;
}
.btn {
  display: block;
  padding: 10px 20px;
  border-radius: 10px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  text-align: center;
  border: none;
  font: inherit;
}
.btn-primary {
  background-color: var(--primary-color);
  color: #fff;
}
.btn-primary:hover {
  background-color: #5e0648;
}
.btn-secondary {
  background-color: transparent;
  color: var(--primary-color);
  border: 3px solid var(--primary-color);
}
.btn-secondary:hover {
  background-color: rgba(147, 18, 114, 0.1);
}
.link {
  border: none;
  outline: none;
  background-color: transparent;
  color: var(--text-color);
  transition: color 0.3s ease;
}
.link:hover {
  color: var(--secondary-color);
}
.flex {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.asterik {
  color: red;
}

/* Alert Box */

.alert {
  position: fixed;
  bottom: 5%;
  left: -100%;
  width: fit-content;
  background-color: color-mix(in srgb, var(--alert-color) 20%, white);
  color: color-mix(in srgb, var(--alert-color) 70%, black);
  padding: 2%;
  border-radius: 7px;
  box-shadow: var(--shadow);
  border: 2px solid var(--alert-color);
  z-index: 500;
  transition: left 500ms ease;
}
.alert.show {
  left: 2%;
}
.alert p {
  width: 100%;
  margin-right: 1rem;
}
.alert .fa-xmark {
  position: absolute;
  top: 0.5rem;
  right: 0.5rem;
  cursor: pointer;
}
.alert .fa-check {
  font-size: calc(var(--p) * 1.18);
}

/* Alert Box */

/* Navigation */
header {
  width: 100%;
  padding: 1% 5%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  background-color: var(--background-color);
  box-shadow: var(--shadow-y);
  justify-content: space-between;
}
header .fa-bars {
  display: none;
  pointer-events: none;
}
header .image-container {
  width: 12%;
}
nav {
  position: relative;
  width: 60%;
  margin-left: auto;
}
nav ul {
  justify-content: space-between;
}
nav ul li a:hover,
nav ul li.flex:hover button {
  color: var(--secondary-color);
}
nav ul li a.btn:hover {
  color: #fff;
}

header nav .sub-menu {
  position: absolute;
  top: -150px;
  opacity: 0;
  pointer-events: none;
  left: 0;
  background-color: var(--background-color);
  padding: 1rem 2rem;
  box-shadow: var(--shadow);
  border-radius: 10px;
  flex-direction: column;
  z-index: 10;
  transition: top 0.3s ease, opacity 0.3s ease;
}
header nav .sub-menu.our-work {
  left: 16%;
}
header nav .sub-menu.active {
  top: 60px;
  opacity: 1;
  pointer-events: initial;
}
header nav .sub-menu li {
  margin: 0.75rem 0;
}
header nav .sub-menu li a:hover {
  color: var(--secondary-color);
}

/* Navigation */

/* Hero */
.hero {
  min-height: 60vh;
  padding-top: 12%;
  width: 100%;
  position: relative;
  flex-direction: column;
  align-items: center;
  background-color: var(--primary-color);
  background-image: var(--bg);
  background-size: cover;
  /* background-position: center; */
  background-repeat: no-repeat;
  margin-bottom: 2rem;
}
div .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 1;
}
.hero h1 {
  color: #fff;
  text-align: center;
  z-index: 2;
  margin-top: 1rem;
}
/* Hero */

/* Footer */
footer {
  position: relative;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 2% 5%;
  background-color: #292929;
  color: #fff;
  margin-top: 5rem;
  flex-direction: column;
}
footer hr.hide {
  display: none;
}
footer a:hover {
  color: var(--secondary-color);
}
footer .top {
  justify-content: space-between;
  align-items: flex-start;
  gap: 2rem;
}
footer .footer-nav {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1rem;
}
footer .company-info {
  width: 35%;
}
footer .footer-nav {
  width: 70%;
}
footer .links,
footer .contact {
  width: 30%;
}
footer .company-info .logo {
  width: 80%;
}
footer .company-info p {
  margin: 1rem 0;
}
footer .company-info a {
  font-size: var(--h4);
}
footer .links li {
  list-style: none;
  margin-bottom: 0.65rem;
}
footer .links .work {
  margin-bottom: 2rem;
}
footer .contact p {
  margin-bottom: 1rem;
}
footer .contact .fa-solid {
  color: var(--secondary-color);
  font-size: 1.2rem;
  margin-right: 0.5rem;
}
footer .bottom {
  justify-content: space-between;
}
footer .bottom h3 {
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}
footer .partners-subs {
  align-items: flex-start;
  justify-content: space-between;
}
footer .initiator .iwfsa-logo {
  width: 40%;
}
footer .supporting .anglo-logo {
  width: 20%;
}
footer .supporting .wdb-logo {
  width: 20%;
}
footer .supporting .jse-logo {
  width: 8%;
}
footer .subscribe-form {
  width: 50%;
}
footer form .input {
  justify-content: space-between;
  width: 100%;
  background-color: #fff;
  padding: 0.5rem;
  padding-left: 1.5rem;
  border-radius: 10px;
  position: relative;
}
footer form .input .btn {
  padding: 7px 15px;
}
footer form .input input {
  border: none;
  outline: none;
  height: auto;
  font-family: inherit;
  font-size: var(--small);
  color: #292929;
}
footer form .error {
  color: red;
  width: 100%;
}
footer hr {
  width: 100%;
  height: 2px;
  background-color: #fff;
  margin: 1rem 0;
}
footer .copyright {
  width: 100%;
  justify-content: space-between;
}

/* Footer */

/* Resources */

.resources .resource-cards {
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}
.resource-card {
  width: 80%;
  margin: 1rem auto;
  padding: 1rem;
  padding-right: 2rem;
  /* flex-direction: row; */
  align-items: center;
  justify-content: space-between;
  /* box-shadow: var(--shadow); */
  border-radius: var(--radius);
  background-color: #efefef;
  color: var(--text-color);
}
.resource-card .resource-info {
  width: 40%;
}
.resources .resource-card .image-container {
  width: 150px;
  height: 150px;
  border-radius: 20px 0 0 20px;
  /* margin-right: 1rem; */
}
.resources .resource-card .image-container img {
  height: 100%;
}

/* Resources */

/* Newsletter */

.newsletter-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(3px);
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  z-index: 200;
}
.popup-content {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  width: 50%;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 5% 3%;
  text-align: center;
  justify-content: space-between;
  box-shadow: var(--shadow);
  border-radius: 15px;
  z-index: 300;
  transition: transform 0.3s ease;
}
.newsletter-popup.show,
.event-summary.show {
  opacity: 1;
  visibility: visible;
}
.newsletter-popup.show .popup-content {
  transform: translate(-50%, -50%) scale(1);
}
.popup-content .popup-close-btn {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--text-color);
}
.popup-content .image-container {
  margin: 2rem auto;
  width: 50%;
}
.popup-content p {
  margin: 1rem 0;
}
.popup-content form {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 1rem;
}
.popup-content form .input {
  justify-content: space-between;
  width: 100%;
  background-color: #f0f0f0;
  padding: 10px 20px;
  padding-left: 1.5rem;
  border-radius: 10px;
  position: relative;
}
.popup-content form .input input {
  border: none;
  outline: none;
  width: 100%;
  font-family: inherit;
  font-size: 0.875rem;
  background-color: transparent;
  color: #292929;
}
.popup-content form .input .error {
  font-size: 0.875rem;
  color: red;
  position: absolute;
  width: fit-content;
  right: 0.5rem;
  text-align: left;
  margin-top: 1rem;
}
.popup-content form .btn{
  min-width: 20%;
}

/* Newsletter */

/* Event Summary */
.event-summary{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.3);
  backdrop-filter: blur(3px);
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  z-index: 200;
}
.event-summary.show{
  opacity: 1;
  visibility: visible;
}
.event-summary .event-content{
  position: relative;
  height: 90%;
  width: 80%;
  background-color: #fff;
  align-items: center;
  padding: 5% 3%;
  justify-content: space-between;
  box-shadow: var(--shadow);
  border-radius: 15px;
  overflow-y: scroll;
  transition: transform 0.3s ease;
}
.event-content .modal-close-btn {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--text-color);
}
.event-content h3{
  margin-bottom: 2rem;
}
.event-content h5{
  margin-bottom: 1rem;
}
.event-content .event-details .content{
  justify-content: space-between;
  align-items: flex-start;
  gap: 1rem;
}
.event-content .event-details .content .image-container{
  width: 50%;
  margin-right: 2rem;
}
.event-content .event-details .content .details{
  width: 100%;
}
.event-content .event-details .summary-text{
  margin-top: 1rem;
}

/* Event Summary */

/* Responsive Breakpoints */

@media (max-width: 1200px) {
  nav {
    width: 70%;
  }
  .hero {
    justify-content: center;
  }
  footer .top {
    gap: 1rem;
  }
  footer .btn {
    width: max-content;
  }
  footer .initiator .iwfsa-logo {
    width: 60%;
  }
  footer .supporting .anglo-logo {
    width: 30%;
  }
  footer .supporting .wdb-logo {
    width: 30%;
  }
  footer .supporting .jse-logo {
    width: 12%;
  }
  .popup-content .image-container {
    width: 60%;
  }
}

@media (max-width: 768px) {
  :root {
    --h3: 1.3rem;
    --h4: 1.15rem;
  }
  header {
    padding: 5%;
    height: 10svh;
    flex-direction: row-reverse;
  }
  header .fa-bars,
  header .fa-xmark {
    display: block;
    pointer-events: auto;
    cursor: pointer;
    font-size: 1.3rem;
  }
  header .image-container {
    width: 20%;
  }
  nav {
    position: fixed;
    top: 15svh;
    right: -100%;
    height: 90vh;
    width: 100%;
    background-color: var(--primary-color);
    color: #fff;
    box-shadow: var(--shadow);
    flex-direction: column;
    padding: 2rem;
    transition: right 0.3s ease;
    z-index: 200;
  }
  nav .flex {
    gap: 0;
  }
  nav.active {
    right: 0;
  }
  nav ul {
    flex-direction: column;
    /* gap: 2rem; */
  }
  nav .btn,
  nav .btn:hover {
    background-color: transparent;
    padding: 0;
    margin: 0;
  }
  nav ul li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    width: 100%;
    text-align: center;
    padding: 1rem 0;
  }
  nav ul li:hover {
    background-color: var(--secondary-color);
  }
  nav ul li:hover > a {
    color: #fff;
  }
  nav ul li.flex {
    justify-content: center;
  }
  nav ul li .fa-solid {
    color: #fff;
    margin-left: 1rem;
  }
  nav ul .sub-menu {
    position: relative;
    display: block;
    width: 100%;
    background-color: var(--primary-color);
    border-radius: 0;
    box-shadow: none;
    top: 0;
    left: 0;
    /* padding: 1rem 0 0 0; */
    padding: 0;
    margin: 0;
    height: 0;
    /* border: solid red; */
  }
  nav ul .sub-menu.our-work {
    left: 0;
  }
  nav ul .sub-menu li {
    display: none;
  }
  nav ul .sub-menu.active {
    height: auto;
    top: 0;
  }
  nav ul .sub-menu.active > li {
    display: block;
    background-color: #880e6a;
    margin: 0;
    transition: background-color 300ms ease;
  }
  nav ul .sub-menu.active > li:hover {
    background-color: var(--secondary-color);
  }
  nav ul .sub-menu li a:hover {
    color: white;
  }
  .hero {
    padding-top: 20%;
  }
  .resource-card {
    width: 100%;
  }
  footer .top {
    flex-wrap: wrap;
  }
  footer .company-info {
    width: 90%;
    margin: 1rem auto 2rem;
    align-items: center;
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  footer .company-info .logo {
    width: 50%;
  }
  footer .footer-nav {
    width: 100%;
  }
  footer .links:nth-child(2) {
    width: 30%;
  }
  footer .links:nth-child(3) {
    width: 35%;
  }
  footer .contact {
    width: 30%;
  }
  footer .partners-subs {
    flex-wrap: wrap;
    justify-content: flex-start;
  }
  footer .partner {
    width: 30%;
  }
  footer .supporting.partner {
    width: 50%;
  }
  footer .initiator .iwfsa-logo {
    width: 50%;
  }
  footer .supporting .anglo-logo,
  footer .supporting .wdb-logo {
    width: 90%;
  }
  footer .supporting .jse-logo {
    width: 45%;
  }
  footer form .input {
    width: 100%;
  }
  footer .btn {
    min-width: fit-content;
  }
  .popup-content {
    width: 80%;
  }
  .popup-content .image-container {
    width: 50%;
  }
}

@media (max-width: 550px) {
  :root {
    --h1: 2.5rem;
    --h2: 1.75rem;
    --h3: 1.25rem;
    --h4: 1.1rem;
  }
  header {
    padding: 1% 3%;
  }
  nav {
    top: 10svh;
  }
  .image-container {
    width: 50%;
  }
  .resource-card {
    flex-direction: column;
    padding-right: 1rem;
  }
  .resources .resource-card .image-container,
  .resource-card .cta {
    width: 100%;
  }
  .resource-card .resource-info,
  .resource-card .file-info {
    width: 100%;
    text-align: left;
  }
  .resources .resource-card .image-container {
    border-radius: 20px;
  }
  .resource-card .file-info {
    display: flex;
    gap: 0.5rem;
  }
  footer {
    padding: 2% 3%;
    margin-top: 2rem;
  }
  footer hr.hide {
    display: block;
    width: 60%;
    opacity: 0.1;
    margin: 1rem auto;
  }
  footer .footer-nav {
    flex-direction: column;
  }
  footer .partners-subs {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 2rem;
  }
  footer .partners-subs .supporting {
    width: 80%;
  }
  footer .bottom h3 {
    text-align: center;
    margin-top: 1rem;
    width: 100%;
  }
  footer .company-info,
  footer .links,
  footer .contact,
  footer .subscribe-form {
    width: 100%;
    text-align: center;
  }
  footer .links:nth-child(2),
  footer .links:nth-child(3) {
    width: 100%;
    margin-left: 0;
  }
  footer .company-info {
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
  }
  footer .company-info .logo {
    align-self: center;
  }
  footer .initiator .iwfsa-logo {
    width: 100%;
  }
  footer .supporting .anglo-logo {
    width: 100%;
  }
  footer .supporting .wdb-logo {
    width: 100%;
  }
  footer .supporting .jse-logo {
    width: 50%;
  }
  footer .copyright {
    flex-direction: column;
    gap: 0.5rem;
  }
  footer .copyright p {
    width: 100%;
    text-align: center;
  }
  .popup-content {
    width: 80%;
  }
  .popup-content .image-container {
    width: 70%;
  }
  .popup-content form {
    flex-direction: column;
  }
  .popup-content form .btn {
    width: 100%;
  }
  .popup-content form .input .error {
    right: 0.75rem;
    margin-top: 0;
    top: 20%;
  }
  .event-summary .event-content{
    width: 90%;
  }
  .event-content .event-details .content {
    flex-direction: column;
  }
  .event-content .event-details .content .image-container{
    width: 100%;
    margin: 0;
  }
}
